//
//  ADMMModel.h
//  MusiCog
//
//  Created by James Maxwell on 2013-11-12.
//  Copyright (c) 2013 James Maxwell. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface ADMMModel : NSObject

@property (assign, nonatomic) float runningSum;
@property (strong, nonatomic) NSMutableDictionary* adjacencyList;   // key = accumulated interval sum, value = array of consequent intervals

// accessors
- (void) setAdjacencyList:(NSMutableDictionary *)aList;
- (NSMutableDictionary*) adjacencyList;

- (void) addTransitionForSum:(NSNumber*)sum toInterval:(NSNumber*)anInterval;
- (NSNumber*) stochasticSelectionFromModelWithSum:(NSNumber*)aSum;
- (float) getEntropy;

@end
