//
//  mcCMAssociation.h
//  MusiCog
//
//  Created by James Maxwell on 2013-06-07.
//  Copyright (c) 2013 James Maxwell. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "mcCMNode.h"

@class mcCMModel;

@interface mcCMAssociation : NSObject

@property (strong, nonatomic) id leftItem;
@property (strong, nonatomic) id rightItem;
@property (assign, nonatomic) NSUInteger count;
@property (weak, nonatomic) mcCMModel* model;

- (void) updateAssociationStrength;
- (id) initWithLeftNode:(mcCMNode*)leftNode andRightNode:(mcCMNode*)rightNode;
- (id) initWithLeftItem:(id)left andRightItem:(id)right;

@end