//
//  mcCMEdge.h
//  MusiCog
//
//  Created by James Maxwell on 2013-06-07.
//  Copyright (c) 2013 James Maxwell. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "mcCMModel.h"

@interface mcCMEdge : NSObject<NSCopying>

@property (assign, nonatomic) NSUInteger count;
@property (assign, nonatomic) enum mcModelType type;
@property (strong, nonatomic) mcCMNode* inNode;
@property (strong, nonatomic) mcCMNode* outNode;

- (mcCMEdge*) getSubTierEdge;
- (mcCMEdge*) chooseSuperTierEdge;
- (BOOL) connectsToEdge:(/*__unsafe_unretained*/ mcCMEdge*)anEdge;
- (id)initWithInNode:(mcCMNode*)inNode outNode:(mcCMNode*)outNode;

@end
