//
//  mcGroup.h
//  MusiCog
//
//  Created by James Maxwell on 2013-06-08.
//  Copyright (c) 2013 James Maxwell. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <AudioToolbox/AudioToolbox.h>

@interface mcGroup : NSObject

@property (strong, nonatomic) NSMutableArray* events;
@property (assign, nonatomic) MusicTimeStamp timestamp;
@property (assign, nonatomic) MusicTimeStamp duration;

- (UInt64) ms_timestamp;
- (NSArray*) getEventsSortedByPitch;
- (void) updateTimestamps;
- (BOOL) isChord;

@end
